diff -ruN vdr-2.1.8/recording.c vdr-2.1.9/recording.c
--- vdr-2.1.8/recording.c	2015-01-25 16:39:24.000000000 +0100
+++ vdr-2.1.9/recording.c	2015-02-07 16:28:02.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: recording.c 3.24 2015/01/25 15:39:24 kls Exp $
+ * $Id: recording.c 3.27 2015/02/07 15:28:02 kls Exp $
  */
 
 #include "recording.h"
@@ -1676,7 +1676,7 @@
 {
   dirNameSrc = DirNameSrc;
   dirNameDst = DirNameDst;
-  error = false;
+  error = true; // prepare for the worst!
   suspensionLogged = false;
 }
 
@@ -1790,6 +1790,7 @@
               else {
                  // We're done:
                  dsyslog("done copying directory '%s' to '%s'", *dirNameSrc, *dirNameDst);
+                 error = false;
                  return;
                  }
               }
@@ -1802,7 +1803,6 @@
      }
   else
      esyslog("ERROR: can't access '%s'", *dirNameDst);
-  error = true;
 }
 
 void cDirCopier::Stop(void)
@@ -2059,6 +2059,7 @@
 
 bool cMarks::Load(const char *RecordingFileName, double FramesPerSecond, bool IsPesRecording)
 {
+  cMutexLock MutexLock(this);
   recordingFileName = RecordingFileName;
   fileName = AddDirectory(RecordingFileName, IsPesRecording ? MARKSFILESUFFIX ".vdr" : MARKSFILESUFFIX);
   framesPerSecond = FramesPerSecond;
@@ -2071,6 +2072,7 @@
 
 bool cMarks::Update(void)
 {
+  cMutexLock MutexLock(this);
   time_t t = time(NULL);
   if (t > nextUpdate && *fileName) {
      time_t LastModified = LastModifiedTime(fileName);
@@ -2102,6 +2104,7 @@
 
 bool cMarks::Save(void)
 {
+  cMutexLock MutexLock(this);
   if (cConfig<cMark>::Save()) {
      lastFileTime = LastModifiedTime(fileName);
      return true;
@@ -2111,6 +2114,7 @@
 
 void cMarks::Align(void)
 {
+  cMutexLock MutexLock(this);
   cIndexFile IndexFile(recordingFileName, false, isPesRecording);
   for (cMark *m = First(); m; m = Next(m)) {
       int p = IndexFile.GetClosestIFrame(m->Position());
@@ -2123,6 +2127,7 @@
 
 void cMarks::Sort(void)
 {
+  cMutexLock MutexLock(this);
   for (cMark *m1 = First(); m1; m1 = Next(m1)) {
       for (cMark *m2 = Next(m1); m2; m2 = Next(m2)) {
           if (m2->Position() < m1->Position()) {
@@ -2135,6 +2140,7 @@
 
 void cMarks::Add(int Position)
 {
+  cMutexLock MutexLock(this);
   cConfig<cMark>::Add(new cMark(Position, NULL, framesPerSecond));
   Sort();
 }
@@ -2169,7 +2175,7 @@
 cMark *cMarks::GetNextBegin(cMark *EndMark)
 {
   cMark *BeginMark = EndMark ? Next(EndMark) : First();
-  if (BeginMark) {
+  if (BeginMark && EndMark && BeginMark->Position() == EndMark->Position()) {
      while (cMark *NextMark = Next(BeginMark)) {
            if (BeginMark->Position() == NextMark->Position()) { // skip Begin/End at the same position
               if (!(BeginMark = Next(NextMark)))
@@ -2187,7 +2193,7 @@
   if (!BeginMark)
      return NULL;
   cMark *EndMark = Next(BeginMark);
-  if (EndMark) {
+  if (EndMark && BeginMark && BeginMark->Position() == EndMark->Position()) {
      while (cMark *NextMark = Next(EndMark)) {
            if (EndMark->Position() == NextMark->Position()) { // skip End/Begin at the same position
               if (!(EndMark = Next(NextMark)))
@@ -2202,6 +2208,7 @@
 
 int cMarks::GetNumSequences(void)
 {
+  cMutexLock MutexLock(this);
   int NumSequences = 0;
   if (cMark *BeginMark = GetNextBegin()) {
      while (cMark *EndMark = GetNextEnd(BeginMark)) {
diff -ruN vdr-2.1.8/recording.h vdr-2.1.9/recording.h
--- vdr-2.1.8/recording.h	2015-01-31 14:34:44.000000000 +0100
+++ vdr-2.1.9/recording.h	2015-02-07 15:29:14.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: recording.h 3.6 2015/01/31 13:34:44 kls Exp $
+ * $Id: recording.h 3.8 2015/02/07 14:29:14 kls Exp $
  */
 
 #ifndef __RECORDING_H
@@ -350,7 +350,7 @@
   bool Save(FILE *f);
   };
 
-class cMarks : public cConfig<cMark> {
+class cMarks : public cConfig<cMark>, public cMutex {
 private:
   cString recordingFileName;
   cString fileName;
@@ -369,6 +369,11 @@
   void Align(void);
   void Sort(void);
   void Add(int Position);
+       ///< If this cMarks object is used by multiple threads, the caller must Lock()
+       ///< it before calling Add() and Unlock() it afterwards. The same applies to
+       ///< calls to Del(), or any of the functions that return a "cMark *", in case
+       ///< an other thread might modifiy the list while the returned pointer is
+       ///< considered valid.
   cMark *Get(int Position);
   cMark *GetPrev(int Position);
   cMark *GetNext(int Position);
diff -ruN vdr-2.1.8/runvdr.template vdr-2.1.9/runvdr.template
--- vdr-2.1.8/runvdr.template	2011-04-17 14:34:30.000000000 +0200
+++ vdr-2.1.9/runvdr.template	2015-02-05 11:28:53.000000000 +0100
@@ -20,7 +20,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: runvdr.template 3.0 2011/04/17 12:34:30 kls Exp $
+# $Id: runvdr.template 3.1 2015/02/05 10:28:53 kls Exp $
 
 VDRPRG="./vdr"
 
@@ -43,19 +43,21 @@
 
 # Detect whether the DVB driver is already loaded
 # and return 0 if it *is* loaded, 1 if not:
-function DriverLoaded()
+DriverLoaded()
 {
   return 1
 }
 
 # Load all DVB driver modules needed for your hardware:
-function LoadDriver()
+LoadDriver()
 {
+  return 0
 }
 
 # Unload all DVB driver modules loaded in LoadDriver():
-function UnloadDriver()
+UnloadDriver()
 {
+  return 0
 }
 
 # Load driver if it hasn't been loaded already:
diff -ruN vdr-2.1.8/sources.conf vdr-2.1.9/sources.conf
--- vdr-2.1.8/sources.conf	2014-01-07 09:59:09.000000000 +0100
+++ vdr-2.1.9/sources.conf	2015-02-05 12:00:31.000000000 +0100
@@ -21,7 +21,8 @@
 
 S3E     Eutelsat 3A/3D & Rascom 1R
 S4E     Eutelsat 4B
-S4.8E   Astra 4A & SES 5
+S4.8E   Astra 4A
+S5E     SES 5
 S7E     Eutelsat 7A
 S9E     Eutelsat 9A/Ka-Sat 9A
 S10E    Eutelsat 10A
diff -ruN vdr-2.1.8/tools.c vdr-2.1.9/tools.c
--- vdr-2.1.8/tools.c	2014-03-22 15:22:55.000000000 +0100
+++ vdr-2.1.9/tools.c	2015-02-07 16:09:17.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: tools.c 3.3 2014/03/22 14:22:55 kls Exp $
+ * $Id: tools.c 3.4 2015/02/07 15:09:17 kls Exp $
  */
 
 #include "tools.h"
@@ -404,7 +404,7 @@
      }
   else
      LOG_ERROR_STR(File1);
-  return false;
+  return true; // we only return false if both files actually exist and are in different file systems!
 }
 
 int FreeDiskSpaceMB(const char *Directory, int *UsedMB)
diff -ruN vdr-2.1.8/tools.h vdr-2.1.9/tools.h
--- vdr-2.1.8/tools.h	2015-01-14 10:09:06.000000000 +0100
+++ vdr-2.1.9/tools.h	2015-02-07 16:12:26.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: tools.h 3.6 2015/01/14 09:09:06 kls Exp $
+ * $Id: tools.h 3.7 2015/02/07 15:12:26 kls Exp $
  */
 
 #ifndef __TOOLS_H
@@ -234,6 +234,9 @@
 cString itoa(int n);
 cString AddDirectory(const char *DirName, const char *FileName);
 bool EntriesOnSameFileSystem(const char *File1, const char *File2);
+    ///< Checks whether the given files are on the same file system. If either of the
+    ///< files doesn't exist, this function returns *true* to avoid any actions that might be
+    ///< triggered if files are on different file system.
 int FreeDiskSpaceMB(const char *Directory, int *UsedMB = NULL);
 bool DirectoryOk(const char *DirName, bool LogErrors = false);
 bool MakeDirs(const char *FileName, bool IsDirectory = false);
